<?php

# заголовок
define('TITLE', 'Новости');

# определение данных
$params = PARAMS; // получение параметров
$empty = false; $value = array(); // данные по умолчанию
$refresh = $FUNC->random(8, true); // случайное число

# обновление времени визита
db_update($DB, 'users', array('news' => time()), array ('id' => USER['id']));

####################

# проверка наличия новостей
if (db_count($DB, 'news', 'id') == 0) $empty = true; else {

# вывод списка новостей, из базы данных
$query = db_output($DB, 'news', '*', false, true, 'id', DATA['news'], 0, 'DESC');

# разбор новостей, переработка данных в массиве
$index = 0; while ($assoc = $query->fetch_assoc()) {
$news[$index] = $assoc; $index++; }

# обработка данных
foreach ($news as &$post) { $post['text'] = $GAME->message($post['text']); // сообщение
$post['time'] = $USER->when($post['time']); } } // время

####################

# проверка доступа на работу с новостями
$form = (isset($params['param']) && $params['param'] == 'edit' && isset($params['id']) && USER['status'] == 'admin') ? true : false; // редактирование
if (!$form) { $form = (isset($params['param']) && $params['param'] == 'create' && USER['status'] == 'admin') ? true : false; } // создание

# определение ид новости
$new = ($form && isset($params['id'])) ? $FUNC->filter($params['id'], 'int') : false;

# определение значений, редактирование новости
if ($new) { $nov = db_output($DB, 'news', array('text', 'title'), array('id' => $new)); // вывод данных из базы
$value['title'] = ' value="'. $nov['title'] .'"'; $value['text'] = $nov['text']; } // заголовок, текст, редактирование
else { $value['title'] = false; $value['text'] = false; } // заголовок, текст, создание

# оформление, определение данных
$title = ($new) ? 'Редактирование новости' : 'Добавление новости'; // заголовок
$button = ($new) ? 'Редактировать' : 'Добавить'; // кнопка

# данные верхней ссылки
if ($form) $top = array('icon' => 'back', 'link' => 'Вернуться назад'); // назад
else $top = array('icon' => 'refresh', 'link' => 'Обновить'); // обновить

?>